Bug 678913 (CVE-2011-1004) - CVE-2011-1004 Ruby: Symlink race condition by removing directory trees in fileutils module
Summary: CVE-2011-1004 Ruby: Symlink race condition by removing directory trees in fil...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-1004
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 709957 709958 709963 709964
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-20 19:16 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:42 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-29 14:34:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0909 normal SHIPPED_LIVE Moderate: ruby security update 2011-06-28 17:33:49 UTC
Red Hat Product Errata RHSA-2011:0910 normal SHIPPED_LIVE Moderate: ruby security update 2011-06-28 17:33:22 UTC

Description Jan Lieskovsky 2011-02-20 19:16:33 UTC
A race condition was found in the way the secure
implementation of Ruby fileutils' remove system
entries method (remove_entry_secure()), removed
directory trees. A local attacker could use this
flaw to conduct symbolic link attacks, leading to
removal of arbitrary files or directories on the system.

References:
[1] http://www.ruby-lang.org/en/news/2011/02/18/fileutils-is-vulnerable-to-symlink-race-attacks/

Upstream patch (against trunk):
[2] http://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=rev&revision=30896

Comment 1 Jan Lieskovsky 2011-02-20 19:21:21 UTC
This issue did NOT affect the versions of the ruby package, as shipped
with Red Hat Enterprise Linux 3 or 4, as those versions do not include
support for remove_entry_secure() method yet.

This issue affects the versions of the ruby package, as shipped with
Red Hat Enterprise Linux 5 and 6.

--

This issue affects the version of the ruby package, as shipped with 
Fedora release of 13.

Particular ruby package update for Fedora release of 14 has been already
scheduled. Upon testing phase, it will be pushed to Fedora 14 stable
repository.

Comment 2 Jan Lieskovsky 2011-02-21 12:51:14 UTC
CVE Request:
[3] http://www.openwall.com/lists/oss-security/2011/02/21/2

Comment 3 Jan Lieskovsky 2011-02-22 08:43:00 UTC
The CVE identifier of CVE-2011-1004 has been assigned to this issue:
[4] http://www.openwall.com/lists/oss-security/2011/02/21/5

Comment 14 errata-xmlrpc 2011-06-28 17:33:27 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0910 https://rhn.redhat.com/errata/RHSA-2011-0910.html

Comment 15 errata-xmlrpc 2011-06-28 17:33:59 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0909 https://rhn.redhat.com/errata/RHSA-2011-0909.html

Comment 16 Vincent Danen 2011-06-29 14:28:48 UTC
Statement:

(none)


Note You need to log in before you can comment on or make changes to this bug.